#include "prjlibs-include/standards.h"
#include <sys/time.h>
#include <errno.h>

#include "skalibs/include/stddjb.h"
#include "prjlibs-include/constants.h"
#include "prjlibs-include/diewarn.h"
#include "runwhen.h"

char const* PROG="rw-touch";

int main(int argc, char** argv) {
  struct taia t;
  struct timeval tv[2];
  if (argc<3) DIE_USAGE(" stamp filename [program...]");
  rw_scan(&t, argv[1]);
  if (timeval_from_taia(&tv[0], &t)==0) DIE_OVERFLOW();
  tv[1]=tv[0];
  if (utimes(argv[2], tv)!=0) DIE1(utimes, argv[2]);
  argv+=3;
  pathexec0_run((char const**)argv, (char const**)environ);
  DIE1(exec, argv[0]);
}
